# QsciLexerFortran Class Reference

The QsciLexerFortran class encapsulates the Scintilla Fortran lexer. More...

`#include <qscilexerfortran.h>`

Inherits QsciLexerFortran77.

List of all members.

## Public Member Functions

- QsciLexerFortran (QObject *parent=0)
- virtual ~QsciLexerFortran ()
- const char * language () const
- const char * lexer () const
- const char * keywords (int set) const

## Detailed Description

The QsciLexerFortran class encapsulates the Scintilla Fortran lexer.

## Constructor & Destructor Documentation

QsciLexerFortran::QsciLexerFortran | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerFortran with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerFortran::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexerFortran77.

const char* QsciLexerFortran::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerFortran77.